package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 相关还款责任人:股权资产历史表
 * </p>
 *
 * @author liutao
 * @since 2023-06-27
 */
@TableName("review_rlt_repay_equity_assets_history")
public class ReviewRltRepayEquityAssetsHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 相关还款责任人的ID
     */
    @TableField("review_rlt_repay_id")
    private Long reviewRltRepayId;

    /**
     * 被投资企业名称
     */
    @TableField("company_name")
    private String companyName;

    /**
     * 注册资金
     */
    @TableField("registered_capital")
    private BigDecimal registeredCapital;

    /**
     * 投资日期
     */
    @TableField("investment_date")
    private Date investmentDate;

    /**
     * 出资比例
     */
    @TableField("ratio")
    private BigDecimal ratio;

    /**
     * 实物/现金出资
     */
    @TableField("investment_amount")
    private BigDecimal investmentAmount;

    /**
     * 所任职务
     */
    @TableField("position")
    private String position;

    /**
     * 有无验收报告 0否，1有
     */
    @TableField("is_report")
    private String report;

    public Long getReviewRltRepayId() {
        return reviewRltRepayId;
    }

    public void setReviewRltRepayId(Long reviewRltRepayId) {
        this.reviewRltRepayId = reviewRltRepayId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public BigDecimal getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(BigDecimal registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public Date getInvestmentDate() {
        return investmentDate;
    }

    public void setInvestmentDate(Date investmentDate) {
        this.investmentDate = investmentDate;
    }

    public BigDecimal getRatio() {
        return ratio;
    }

    public void setRatio(BigDecimal ratio) {
        this.ratio = ratio;
    }

    public BigDecimal getInvestmentAmount() {
        return investmentAmount;
    }

    public void setInvestmentAmount(BigDecimal investmentAmount) {
        this.investmentAmount = investmentAmount;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getReport() {
        return report;
    }

    public void setReport(String report) {
        this.report = report;
    }
}
